createsummary(1)

NAME
createsummary - Scalar File Summarisation Tool

SYNOPSIS
createsummary [variable_names]
[-b | --batch | -i | --interactive]
[-c level | --compress level]
[-s separator | --separator separator]
[-l | --line-numbers | -n | --no-line-numbers]
[-p | --split | -a | --no-split]
[-r | --ignore-scalar-file-errors]
[-q | --quiet]
createsummary [-h | --help]
createsummary [-v | --version]

DESCRIPTION
createsummary is a summarisation tool for scalar files: it creates one CSV/GNU R data table file (using tabulator as column separator) for each scalar. CreateSummary supports on-the-fly BZip2 compression. After startup, the program accepts the following commands from standard input (*not* as command-line arguments!):

--varnames=variables
    A space-separated list of output variable names to be added to the output data tables.

--values=values
    Sets the values of the output variables for the next scalar file to the provided space-separated values. One value for each variable has to be provided.

--input=filename
    Process the given scalar file.

--logfile=name
    Sets the log file for the next scalar file. On an error related to this scalar file, the log file's name is displayed. This option can be used to identify bad simulation/measurement runs by pointing to the log file being created for the simulation/measurement.

--statusfile=name
    Sets the status file for the next scalar file. On an error related to this scalar file, the status file is deleted. This option can be used to repeat bad simulation/measurement runs by re-running the simulation/measurement on missing status files.

--skip=prefix
    All scalars beginning with the given prefix are not written to output tables. This option can be used to filter out unnecessary results.

--simulationsdirectory=directory
    Sets the directory where to find the scalar files.

--resultsdirectory=directory
    Sets the directory where to write the summary tables to.

--ignore-scalar-file-errors
    Ignore scalar file errors (that is, missing input files) instead of aborting.

ARGUMENTS
The following arguments may be provided:

[variable_names]
    A space-separated list of output variable names to be added to the output data tables.

-b | --batch
    Run in batch mode. The program is aborted on errors.

-i | --interactive
    Run in interactive mode (default). On errors, the program is continued.

-c level | --compress level
    Sets the BZip2 compression level; 1=none, 9=highest (default).

-s separator | --separator separator
    Sets the separator for the tables. Default: tabulator character (i.e. $' ').

-l | --line-numbers
    Add line numbers into the output table files, as usual for GNU R.

-n | --no-line-numbers
    Do not add line numbers into the output table files, as usual for CSV (default).

-p | --split
    Try to split the scalar name ending in a number into the name part as well as the number. A scalar output table is then generated for the name part, with the corresponding number in table column "Split". Example: Scalars "Throughput1", ..., "Throughput9" will be written into output table "Throughput", the number will be in table column "Split". Without the --split option, each scalar would get its own table.

-a | --no-split
    Turns scalar splitting off (default).

-r | --ignore-scalar-file-errors
    Ignore scalar file errors (that is, missing input files) instead of aborting.

-q | --quiet
    Do not print verbose status information.

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The createsummary tool exits with 0 on success, and >0 in case of an error.

EXAMPLE
Consider two simulation results test1.sca.bz2 (created with ParameterX=One) and test2.sca.bz2 (created with ParameterX=Two). The scalar files are located in the current directory, the output tables should be written to /tmp with compression level 5:
( echo "--simulationsdirectory=." && \ echo "--resultsdirectory=/tmp" && \ echo "--values=One" && \ echo "--input=test1.sca.bz2" && \ echo "--values=Two" && \ echo "--input=test2.sca.bz2" ) | createsummary "ParameterX" --batch --compress 5

SEE ALSO
combinesummaries(1), extractvectors(1)

NOTES
This program is part of NetPerfMeter. The latest version of NetPerfMeter can be found on the NetPerfMeter Homepage at NetPerfMeter Homepage: https://www.nntb.no/~dreibh/netperfmeter/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh